Bug 146276 - [PATCH] databases/mysql55-server: fix vendor include/mysql/ layout snafus
[PATCH] databases/mysql55-server: fix vendor include/mysql/ layout snafus
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Dupre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 00:10 UTC by pgollucci
Modified: 2010-10-06 04:44 UTC (History)
1 user (show)

See Also:


Attachments
mysql-server-5.5.4_1.patch (1.61 KB, patch)
2010-05-04 00:10 UTC, pgollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pgollucci 2010-05-04 00:10:02 UTC
MySQL (AB/Sun/Oracle) goofed this to smither renes.

The src tree is organized but the install tree is flattened.

http://bugs.mysql.com/bug.php?id=51925

This at the very least lets devel/apr compile with WITH_MYSQL_VER=55

As it stands, it doesn't even work with itself (mumble)
cd /usr/local/include/myql
grep psi *

3.x 4.x, 5.[01].x do not have this issue.


Port maintainer (ale@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Philip M. Gollucci freebsd_committer 2010-05-04 21:54:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer.
Comment 2 Alex Dupre freebsd_committer 2010-07-16 11:24:56 UTC
State Changed
From-To: open->closed

Fixed, thanks.
Comment 3 dfilter freebsd_committer 2010-07-16 11:24:59 UTC
ale         2010-07-16 10:24:46 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql55-server Makefile distinfo pkg-plist 
                             pkg-plist.client 
    databases/mysql55-server/files patch-configure 
                                   patch-configure.am 
                                   patch-include_Makefile.in 
                                   patch-scripts::Makefile.in 
  Log:
  Update to 5.5.5-m3 release:
  - fix include layout [1]
  - drop obsolete WITH_NDB knob
  
  PR:             ports/146276 [1]
  Submitted by:   pgollucci
  
  Revision  Changes    Path
  1.261     +6 -24     ports/databases/mysql55-server/Makefile
  1.123     +3 -3      ports/databases/mysql55-server/distinfo
  1.38      +3 -3      ports/databases/mysql55-server/files/patch-configure
  1.2       +21 -3     ports/databases/mysql55-server/files/patch-configure.am
  1.3       +6 -6      ports/databases/mysql55-server/files/patch-include_Makefile.in
  1.14      +6 -7      ports/databases/mysql55-server/files/patch-scripts::Makefile.in
  1.92      +0 -60     ports/databases/mysql55-server/pkg-plist
  1.39      +4 -5      ports/databases/mysql55-server/pkg-plist.client
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci freebsd_committer 2010-10-05 09:58:42 UTC
State Changed
From-To: closed->open

broken again: 
http://people.freebsd.org/~pgollucci/FreeBSD/apr-devrandom-gdbm-mysql55-1.4.2.1.3.9_2.log
Comment 5 dfilter freebsd_committer 2010-10-06 00:13:50 UTC
pgollucci    2010-10-05 23:13:42 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr1           Makefile 
  Log:
  - bsd.port.mk adds CFLAGS to CONFIGURE_ENV but not if you reference it directly
  in the Makefile.  Even if you use bsd.port.(pre|post).mk.
  
  - This re-fixes WITH_MYSQL=yes WITH_MYSQL_VER=55 after ale@ really fixed
  database/mysql55-client, databases/mysql55-server include/mysql layout.
  
  This is a very non default config, so no PORTREVISION bump
  
  PR:             ports/146276
  
  Revision  Changes    Path
  1.109     +2 -2      ports/devel/apr1/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Philip M. Gollucci freebsd_committer 2010-10-06 04:44:06 UTC
State Changed
From-To: open->closed

Committed, Thanks!